%global pkg_name transformers

%global common_summary Concrete functor and monad transformers

%global common_description This part contains the monad transformer class, the concrete \
monad transformers, operations and liftings. It can be used \
on its own in Haskell 98 code, or with the monad classes in \
the @monads-fd@ or @monads-tf@ packages, which automatically \
lift operations introduced by monad transformers through \
other transformers.

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.2.2.0
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%{?ghc_lib_package}


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.2.0-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Jens Petersen <petersen@redhat.com>
- update to cabal2spec-0.22.4

* Sat Jan  8 2011 Jochen Schmitt <Jochen herr-schmitt de> - 0.2.2.0-4
- Rebuild to fix dependencies issues

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.2.2.0-3
- rebuild with ghc-7.0.1

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-2
- Rebuild

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-1
- Update to 0.2.2.0

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
